Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Are you responsible for making OCS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, michael, John

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.
ll
Posts: 10
Joined: Tue Jan 23, 2007 11:38 pm
Location: Queensland, Australia
Contact:

Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby ll » Mon Jan 11, 2010 6:31 pm

Hi,

I am trying to get OCS 2.1.2 up and running on a WAMP (XAMP 1.7.3 on Windows 2003) box and I am getting a whole bunch of deprecated error messages (a few lines below) when I point my browser to OCS directory to install it. I have "error_reporting = E_ALL & ~E_DEPRECATED" in php.ini.
------
Deprecated: Assigning the return value of new by reference is deprecated in G:\ocs-212\classes\core\Core.inc.php on line 51
Deprecated: Assigning the return value of new by reference is deprecated in G:\ocs-212\classes\core\Core.inc.php on line 55
Deprecated: Assigning the return value of new by reference is deprecated in G:\ocs-212\classes\core\Handler.inc.php on line 121
Deprecated: Assigning the return value of new by reference is deprecated in G:\ocs-212\classes\core\Handler.inc.php on line 122
Deprecated: Assigning the return value of new by reference is deprecated in G:\ocs-212\classes\core\ArrayItemIterator.inc.php on line 180
---------

I saw "Bug 4775 - Possible PHP 5.3 Problems" but I am not sure how to apply that patch against OCS 2.1.2. Could someone please give me a pointer?

Thanks

LL

ll
Posts: 10
Joined: Tue Jan 23, 2007 11:38 pm
Location: Queensland, Australia
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby ll » Wed Jan 13, 2010 11:57 pm

Ok. After I saw "Bug 4775 - Possible PHP 5.3 Problems", I copied the code (listed under OCS fix) to top of the index.php (in OCS folder). When I point my browser (to OCS folder), I get the error message “Parse error: syntax error, unexpected T_DNUMBER in G:\ocs-212\index.php on line 55” (Line 55 is the first line of the fix, which is: diff -u -r1.5.2.1 BlockPlugin.inc.php.

So I believe that I am not applying this patch correctly. What change(s) I need to do? PLEAESE HELP!!

Thanks

LL

jmacgreg
Posts: 4191
Joined: Tue Feb 14, 2006 10:50 am
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby jmacgreg » Thu Jan 14, 2010 5:35 pm

Hi LL,

I don't think you are applying the patch properly. You can find information on using patches online or even on this forum through a quick search -- windows-specific information by searching, for example, for "patch windows".

Cheers,
James

ll
Posts: 10
Joined: Tue Jan 23, 2007 11:38 pm
Location: Queensland, Australia
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby ll » Fri Jan 15, 2010 12:10 am

Hi James,

Thank you for your post. After searching OJS forum, found a way to apply the patch - this is what I did: I ran patch.exe (downloaded from SourceForge) with patch -p0 < 4775.patch . 4775.patch is the code I copied from the 475 Bug Fix. patch was applied (at least it said so), but still I am gettimng the same set of errors. I did do a re-start of the XAMPP to no avail.

What am I doing wrong thios time?

Thanks

LL

ll
Posts: 10
Joined: Tue Jan 23, 2007 11:38 pm
Location: Queensland, Australia
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby ll » Tue Jan 19, 2010 2:27 am

OK folks, I "downgraded" XAMPP to version 1.6.7 and then I was able to install OCS. Only issue now is it comes up as OCS 2.1.2.0 as the version - shouldn't it come up as 2.1.2.1?

jmacgreg
Posts: 4191
Joined: Tue Feb 14, 2006 10:50 am
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby jmacgreg » Tue Jan 19, 2010 4:28 pm

HI LL,

A silly question, I know, but are you sure you installed the most recent version from the download page?

Cheers,
James

ll
Posts: 10
Joined: Tue Jan 23, 2007 11:38 pm
Location: Queensland, Australia
Contact:

Re: Deprecated errors - OCS 2.1.2 on XAMPP 1.7.3

Postby ll » Tue Jan 19, 2010 7:21 pm

Hi James,

Thank you for your post. Yes it was the one list under "current stable release".

However, guess what I did? In desperation, deleted the OCS folder and re-installed it from scratch and now it behaves fine! I had that patch 4775 applied to my previous installation and I did unpatch it before I tried with XAMPP 1.6.7. Obviouly the unpatching has not taken OCS installation back to the original (unpatched) state?

Thanks for your suggestion, though.

Regards

LL


Return to “OCS Technical Support”

Who is online

Users browsing this forum: Yahoo [Bot] and 1 guest